drop table if exists DQMS_OPERATION_LOG;
create table DQMS_OPERATION_LOG
(
    ID                   varchar(64) not null comment '操作日志ID',
    OPERATOR_ID          varchar(64) comment '操作者ID',
    OPERATOR_NAME        varchar(64) comment '操作者名称',
    OPERATE_TYPE         int comment '操作类型',
    OPERATE_DATE         datetime comment '时间',
    TARGET_TYPE          varchar(64) comment '目标类型',
    TARGET_MODEL_ID      varchar(64) comment '目标ID',
    TARGET_MODEL_NAME    varchar(64) comment '目标名称',
    MESSAGE              text comment '信息',
    TENANT_ID            varchar(64) comment '租户ID',
    primary key (ID)
);
alter table DQMS_OPERATION_LOG comment '操作日志';
alter table DQMS_OPERATION_LOG add index DQMS_OPERATION_LOG_INDEX_OPERATOR(OPERATOR_NAME);
alter table DQMS_OPERATION_LOG add index DQMS_OPERATION_LOG_INDEX_OPERATE_TYPE(OPERATE_TYPE);
alter table DQMS_OPERATION_LOG add index DQMS_OPERATION_LOG_INDEX_TARGET(TARGET_TYPE, TARGET_MODEL_ID, TARGET_MODEL_NAME);

drop table if exists DQMS_OPERATION_LOG_DETAIL;
create table DQMS_OPERATION_LOG_DETAIL
(
    ID                   varchar(64) not null comment '日志详情ID',
    OLD_DATA_JSON        text comment '旧值',
    NEW_DATA_JSON        text comment '新值',
    primary key (ID)
);

alter table DQMS_OPERATION_LOG_DETAIL comment '操作日志详情';

-----------------------------
-- 组织机构评分
-----------------------------
DROP TABLE IF EXISTS DQMS_RATING_RESULT;
CREATE TABLE DQMS_RATING_RESULT(
       ID BIGINT PRIMARY KEY AUTO_INCREMENT,
       ORG_ID VARCHAR(64) COMMENT '组织ID',
       ORG_NAME VARCHAR(50) COMMENT '组织名',
       ORG_LEVEL VARCHAR(2)  COMMENT '组织等级',
       PARENT_ORG_ID VARCHAR(64)  COMMENT '父组织ID',
       SCORE DOUBLE  COMMENT '得分',
       START_DATE DATETIME COMMENT'评估开始日期',
       END_DATE DATETIME COMMENT'评估截至日期',
       RATING_CYCLE VARCHAR(50) COMMENT '评分周期 年（year）、季度（quarter）、月（month）、周（week），默认月',
       RATING_POINT VARCHAR(50)  COMMENT'评分点 例如：2023-01',
       CREATE_TIME DATETIME,
       CREATE_USER VARCHAR(25),
       LAST_MODIFIER_TIME DATETIME,
       LAST_MODIFIER_USER VARCHAR(25)
);
-- CK_METHOD_CONFIG 新增字段
ALTER TABLE CK_METHOD_CONFIG ADD COLUMN SINK_MODE VARCHAR(64);
ALTER TABLE CK_METHOD_CONFIG ADD COLUMN DATA_FROM VARCHAR(64);

alter table ck_check_result add CHECK_RESULT TEXT comment '检核结果上传路径';